Name:          mvel2
Version:       2.0.18
Release:       %mkrel 3
Summary:       A powerful expression language for Java-based applications
Group:         Development/Java
License:       ASL 2.0
Url:           http://mvel.codehaus.org/
# svn export http://svn.codehaus.org/mvel/tags/mvel2-2.0.18
# tar czf mvel2-2.0.18-src-svn.tar.gz mvel2-2.0.18
Source0:       mvel2-2.0.18-src-svn.tar.gz

#Patch0:        mvel2-2.0.18-pom_xml.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: junit
BuildRequires: xstream

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin

Requires:      xstream

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
MVEL is a powerful expression language for Java-based applications. It
provides a plethora of features and is suited for everything from the
smallest property binding and extraction, to full blown scripts. 

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n mvel2-%{version}

for f in $(find . -name "*.jar"); do
  mv $f $f.no
done

# TODO
# mvel2-HOME/lib
# lib/asm.jar.no
# lib/commons-el-1.0.jar.no
# lib/js.jar.no
# lib/jsp-api-2.1.jar.no
# lib/junit-3.8.2.jar.no
# lib/ognl-2.6.7.jar.no
# lib/script-api.jar.no
# lib/script-js.jar.no
# lib/servlet-api-2.5.jar.no
# lib/xpp3_min-1.1.4c.jar.no
# lib/xstream-1.3.1.jar.no

for i in src/main/java/org/mvel2/sh/ShellSession.java 
do
        native2ascii -encoding UTF8 $i $i
done

%build

mvn-rpmbuild \
  -e \
  -Dmaven.test.failure.ignore=true \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# APIDOCS
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}/
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/%{name}.jar
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Jan 16 2013 dmorgan <dmorgan> 2.0.18-3.mga3
+ Revision: 388834
- Use %%add_maven_demap macro

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 28 2011 gil <gil> 2.0.18-2.mga2
+ Revision: 173241
- install in %%_javadir

* Fri Nov 11 2011 gil <gil> 2.0.18-1.mga2
+ Revision: 166506
- imported package mvel2

